## org.eclipse.jst.pagedesigner.dtmanager.converter
Interface IOutputRenderer

    public interface IOutputRenderer

Produces output rendering for ITagConverter instances.

Provisional API - subject to change

Method Summary
`org.w3c.dom.Element` `render(ITagConverterContext tagConverterContext)` Uses the ITagConverterContext argument to produce output rendering.

Method Detail

### render

    org.w3c.dom.Element render(ITagConverterContext tagConverterContext)

  Uses the ITagConverterContext argument to produce output rendering.

  Parameters:
    `tagConverterContext` - ITagConverterContext instance providing ITagConverter-specific context and functionality.
  Returns:
    Element instance representing top Element in resulting output tree. TODO: let's parameterize the return type either with a generic type or with Object so that sub-classes can co-vary